All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# Movie

Bindings for the Movie class.

## Properties

None

## Methods

child(...)
childCount(...)
children(...)
className(...)
connect(...)
deleteLater(...)
disconnect(...)
finished(...)
frameImage(...)
frameNumber(...)
framePixmap(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
getValidRect(...)
hasAttribute(...)
isNull(...)
isWidgetType(...)
load(...)
load2(...)
parent(...)
pause(...)
paused(...)
properties(...)
restart(...)
running(...)
setAttribute(...)
signals(...)
slots(...)
step(...)
step1(...)
steps(...)
superClassName(...)
unpause(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
QCString | name | unnamed
QColor | setBackgroundColor | #000000
int | setSpeed | 0

## Qt Signals

destroyed()
destroyed(QObject*)

## Qt Slots

void | cleanupEventFilter(QObject*)
void | deleteLater()
bool | finished()
QVariant | frameImage()
int | frameNumber()
QVariant | framePixmap()
QVariant | getValidRect()
bool | isNull()
bool | load(const QString&)
bool | load(const QString&,int)
void | pause()
bool | paused()
void | restart()
bool | running()
void | step()
void | step(int)
int | steps()
void | unpause()